<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myOrdersLabel" jhiTranslate="mpmApp.orders.home.createOrEditLabel">Create or edit a Orders</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!orders.idOrder">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="orders.idOrder" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.orders.orderNumber" for="field_orderNumber">Order Number</label>
            <input type="text" class="form-control" name="orderNumber" id="field_orderNumber"
                [(ngModel)]="orders.orderNumber"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.orders.dateEntry" for="field_dateEntry">Date Entry</label>
            <div class="input-group">
                <p-calendar inputId="field_dateEntry" name="input_dateEntry" [(ngModel)]="orders.dateEntry"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.orders.dateOrder" for="field_dateOrder">Date Order</label>
            <div class="input-group">
                <p-calendar inputId="field_dateOrder" name="input_dateOrder" [(ngModel)]="orders.dateOrder"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>

        <div class="form-group">
            <label jhiTranslate="mpmApp.orders.payment" for="field_payment">Payment</label>
            <select class="form-control" id="field_payment" multiple name="payment" [(ngModel)]="orders.payments">
                <option [ngValue]="getSelected(orders.payments, paymentApplicationOption)" *ngFor="let paymentApplicationOption of paymentapplications; trackBy: trackPaymentApplicationById">{{paymentApplicationOption.id}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.orders.orderType" for="field_orderType">Order Type</label>
            <select class="form-control" id="field_orderType" name="orderType" [(ngModel)]="orders.orderTypeId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="orderTypeOption.idOrderType" *ngFor="let orderTypeOption of ordertypes; trackBy: trackOrderTypeById">{{orderTypeOption.description}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
